# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%define name fpaste-server
%define version 0.2
%define unmangled_version 0.2
%define release 1

Name: %{name}
Version: %{version}
Release: alt1_1
Summary: Fedora Pastebin
Group: Networking/WWW
License: GPLv2+
URL: https://fedorahosted.org/fpaste-server/
Source0: https://fedorahosted.org/releases/f/p/fpaste-server/%{name}-%{unmangled_version}.tar.gz
BuildArch: noarch
Prefix: %{_prefix}

BuildRequires: python-devel
BuildRequires: python-module-setuptools

Requires: django-simple-captcha >= 0.2.0
Requires: httpd
Source44: import.info

%description
fpaste-server is simply put, a pastebin.  
Like many a pastebin application before it, 
fpaste-server strives to make it easy to 
share code and other information collaboratively.

%prep
%setup -qn %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
chmod a+x %{buildroot}%{python_sitelibdir_noarch}/fpaste_server/manage.py
sed -i 's|#python_path#|%{python_sitelibdir_noarch}|g' %{buildroot}%{python_sitelibdir_noarch}/fpaste_server/conf/fpaste_server.conf.sample
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
mv %{buildroot}%{python_sitelibdir_noarch}/fpaste_server/conf/fpaste_server.conf.sample %{buildroot}%{_sysconfdir}/httpd/conf.d/fpaste_server.conf.sample
# uses the dpaste path structure and needs a symbolic link to work
ln -sf %{python_sitelibdir_noarch}/fpaste_server/templates/fpaste_server %{buildroot}/%{python_sitelibdir_noarch}/fpaste_server/templates/dpaste
# generic fedora font import transformations
# move fonts to corresponding subdirs if any
for fontpatt in OTF TTF TTC otf ttf ttc pcf pcf.gz bdf afm pfa pfb; do
    case "$fontpatt" in 
	pcf*|bdf*) type=bitmap;;
	tt*|TT*) type=ttf;;
	otf|OTF) type=otf;;
	afm*|pf*) type=type1;;
    esac
    find $RPM_BUILD_ROOT/usr/share/fonts -type f -name '*.'$fontpatt | while read i; do
	j=`echo "$i" | sed -e s,/usr/share/fonts/,/usr/share/fonts/$type/,`;
	install -Dm644 "$i" "$j";
	rm -f "$i";
	olddir=`dirname "$i"`;
	mv -f "$olddir"/{encodings.dir,fonts.{dir,scale,alias}} `dirname "$j"`/ 2>/dev/null ||:
	rmdir -p "$olddir" 2>/dev/null ||:
    done
done
# kill invalid catalogue links
if [ -d $RPM_BUILD_ROOT/etc/X11/fontpath.d ]; then
    find -L $RPM_BUILD_ROOT/etc/X11/fontpath.d -type l -print -delete ||:
    # relink catalogue
    find $RPM_BUILD_ROOT/usr/share/fonts -name fonts.dir | while read i; do
	pri=10;
	j=`echo $i | sed -e s,$RPM_BUILD_ROOT/usr/share/fonts/,,`; type=${j%%%%/*}; 
	pre_stem=${j##$type/}; stem=`dirname $pre_stem|sed -e s,/,-,g`;
	case "$type" in 
	    bitmap) pri=10;;
	    ttf|ttf) pri=50;;
	    type1) pri=40;;
	esac
	ln -s /usr/share/fonts/$j $RPM_BUILD_ROOT/etc/X11/fontpath.d/"$stem:pri=$pri"
    done ||:
fi

%files
%doc README 
%{python_sitelibdir_noarch}/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/fpaste_server.conf.sample

%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_1
- initial fc import

